# Create sender for project

Creates a sender for a project. The possible combinations of region, business manager and hosting type are the following

| Region | | SINCH_BR | SINCH_MX | SINCH_UK  |
| --------- | -- |  ---  |  ---  |  ---  |
| BR | Embedded (ES) |  ✅ Supported | ✅ Supported | ❌ Unsupported |
|  | Partner-initiated |  ✅ Supported | ✅ Supported | ❌ Unsupported |
| EU | Embedded (ES) |  ❌ Unsupported | ❌ Unsupported | ✅ Supported |
|  | Partner-initiated |  ❌ Unsupported | ❌ Unsupported | ✅ Supported |
| US | Embedded (ES) |  ✅ Supported | ✅ Supported | ✅ Supported |
|  | Partner-initiated |  ✅ Supported | ✅ Supported | ✅ Supported |

Endpoint: POST /v1/projects/{projectId}/whatsapp/senders
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Request fields (application/json):

  - `body` (WhatsappSenderInputEsDto (object) or WhatsappInputSenderPhoneProvisioningDto (object) or WhatsappInputSenderPartnerInitiatedDto (object) or WhatsappSenderInputDtoDeprecated (object), required) — one of:
    - WhatsappSenderInputEsDto:
      - `wabaId` (string, required)
        WhatsApp Business Account that will be connected to the created sender. If left empty, we will try to find the WhatsApp Business Account using your projectId.
      - `phoneNumberId` (string, required)
        Phone number ID linked to the WhatsApp Business Account.
      - `region` (string)
        Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.
        Enum: "BR", "EU", "US"
      - `metaLocalStorage` (string)
        Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.
        Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA"
      - `businessManager` (string)
        Business manager.
        Enum: "SINCH_BR", "SINCH_MX", "SINCH_UK"
      - `authenticationCode` (string)
        Single-use access code.
    - WhatsappInputSenderPhoneProvisioningDto:
      - `details` (object, required)
        Sender input details and information.
      - `details.countryCode` (string, required)
        Country code of sender phone number.
      - `details.phoneNumber` (string, required)
        Sender phone number without country code.
      - `details.displayName` (string, required)
        Sender display name within WhatsApp.
      - `region` (string)
        Region sender is provisioned in.
        Enum: same as `region` in "WhatsappSenderInputEsDto" (3 values)
      - `metaLocalStorage` (string)
        Region sender store the data in Meta.
        Enum: same as `metaLocalStorage` in "WhatsappSenderInputEsDto" (15 values)
    - WhatsappInputSenderPartnerInitiatedDto:
      - `phoneNumberProvider` (string, required)
        If the phone number is provided by Sinch or the customer.
        Enum: "CUSTOMER", "SINCH"
      - `details` (object, required)
        Sender input details and information.
      - `details.displayName` (string, required)
        Sender display name within WhatsApp.
      - `details.vertical` (string, required)
        Category of the sender displayed in the Business Info within WhatsApp.
        Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION"
      - `details.countryCode` (string, required)
        Numeric country codes (eg. 48 for PL, 44 for UK).
      - `details.description` (string)
        Description of the sender displayed in the Business Info within WhatsApp.
      - `details.email` (string)
        Contact email displayed in the Business Info within WhatsApp.
      - `details.address` (string)
        Business address displayed in the Business Info within WhatsApp.
      - `details.websiteOne` (string)
        Business website displayed in the Business Info within WhatsApp.
      - `details.websiteTwo` (string)
        Second business website displayed in the Business Info within WhatsApp.
      - `details.about` (string)
        About text displayed in the Business Info within WhatsApp.
  - Hyperlinks can be included but will not render as clickable links.
  - Markdown is not supported.
      - `details.photoUrl` (string)
        URL to the sender image displayed in WhatsApp.
- Supported mime types: image/jpeg, image/png or image/webp.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.
      - `details.phoneNumber` (string)
        Numeric phone number without numeric country code eg. 444555666. Cannot exist already such a sender with that phone number.
If provided by Sinch.
      - `status` (string)
        Create as draft or submit. Defaults to submit.
        Enum: "DRAFT", "SUBMIT"
      - `region` (string)
        Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.
        Enum: same as `region` in "WhatsappSenderInputEsDto" (3 values)
      - `metaLocalStorage` (string)
        Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.
        Enum: same as `metaLocalStorage` in "WhatsappSenderInputEsDto" (15 values)
      - `saveDraftOnFailure` (boolean)
        Flag to save sender as draft if submission fails. Defaults to false.
    - WhatsappSenderInputDtoDeprecated:
      - `name` (string, required)
        Sender name.
      - `details` (object, required)
        Sender input details and information.
      - `details.displayName` (string, required)
        Sender display name within WhatsApp.
      - `details.vertical` (string, required)
        Category of the sender displayed in the Business Info within WhatsApp.
        Enum: same as `details.vertical` in "WhatsappInputSenderPartnerInitiatedDto" (22 values)
      - `details.description` (string)
        Description of the sender displayed in the Business Info within WhatsApp.
      - `details.email` (string)
        Contact email displayed in the Business Info within WhatsApp.
      - `details.address` (string)
        Business address displayed in the Business Info within WhatsApp.
      - `details.websiteOne` (string)
        Business website displayed in the Business Info within WhatsApp.
      - `details.websiteTwo` (string)
        Second business website displayed in the Business Info within WhatsApp.
      - `details.about` (string)
        About text displayed in the Business Info within WhatsApp.
  - Hyperlinks can be included but will not render as clickable links.
  - Markdown is not supported.
      - `details.photoUrl` (string)
        URL to the sender image displayed in WhatsApp.
- Supported mime types: image/jpeg, image/png or image/webp.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.
      - `region` (string)
        Region sender is provisioned in. If not provided, default region for the country set in the billing account will be used. For partner-initiated accounts, the value set for WhatsApp account will be used.
        Enum: same as `region` in "WhatsappSenderInputEsDto" (3 values)
      - `metaLocalStorage` (string)
        Region sender store the data in Meta. If not provided, the default value set for the chosen region will be used.
        Enum: same as `metaLocalStorage` in "WhatsappSenderInputEsDto" (15 values)
      - `businessManager` (string)
        Business manager.
        Enum: same as `businessManager` in "WhatsappSenderInputEsDto" (3 values)
      - `wabaId` (string)
        WhatsApp Business Account that will be connected to the created sender. If left empty, we will try to find the WhatsApp Business Account using your projectId.
      - `phoneNumberId` (string)
        Phone number ID linked to the WhatsApp Business Account.
      - `facebookAccessToken` (string)
        Long-Lived User access token. Mandatory if facebookCode is not provided.
      - `facebookCode` (string)
        Single-use access code. Mandatory if facebookAccessToken is not provided.

## Response 201 fields (application/json):

  - `id` (string, required)
    The unique ID of the sender.

  - `region` (string, required)
    Region sender is provisioned in.
    Enum: "BR", "EU", "US", "UNRECOGNIZED"

  - `metaLocalStorage` (string, required)
    Region sender store the data in Meta.
    Enum: "AE", "AU", "BH", "BR", "CA", "CH", "DE", "GB", "ID", "IN", "JP", "KR", "SG", "US", "ZA", "UNRECOGNIZED", "UNSPECIFIED"

  - `businessManager` (string, required)
    Business manager.
    Enum: "SINCH_AMERICA", "SINCH_BR", "SINCH_MX", "SINCH_SEP", "SINCH_UK", "UNRECOGNIZED"

  - `compatibleRegions` (array, required)
    Conversation API app regions the sender can be used for.

  - `state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "IN_PROGRESS", "INACTIVE", "PENDING_VERIFICATION", "SUSPENDED", "ERROR"

  - `changes` (object)
    Any pending changes to the sender.

  - `changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "ERROR", "IN_PROGRESS", "MULTIPLE_WABA_ERROR", "REJECTED"

  - `changes.details` (array) — one of:
    The pending changes to sender details and information
    - WhatsappSenderDetailsDto:
      - `displayName` (string, required)
        Sender display name within WhatsApp.
      - `vertical` (string, required)
        Category of the sender displayed in the Business Info within WhatsApp.
        Enum: "ALCOHOL", "AUTOMOTIVE", "BEAUTY_SPA_SALON", "CLOTHING_AND_APPAREL", "EDUCATION", "ENTERTAINMENT", "EVENT_PLANNING_AND_SERVICE", "FINANCE_AND_BANKING", "FOOD_AND_GROCERY", "HOTEL_AND_LODGING", "MEDICAL_AND_HEALTH", "NON_PROFIT", "NOT_SET", "ONLINE_GAMBLING", "OTC_DRUGS", "OTHER", "PHYSICAL_GAMBLING", "PROFESSIONAL_SERVICES", "PUBLIC_SERVICE", "RESTAURANT", "SHOPPING_AND_RETAIL", "TRAVEL_AND_TRANSPORTATION", "UNRECOGNIZED"
      - `description` (string)
        Description of the sender displayed in the Business Info within WhatsApp.
      - `email` (string)
        Contact email displayed in the Business Info within WhatsApp.
      - `address` (string)
        Business address displayed in the Business Info within WhatsApp.
      - `websiteOne` (string)
        Business website displayed in the Business Info within WhatsApp.
      - `websiteTwo` (string)
        Second business website displayed in the Business Info within WhatsApp.
      - `about` (string)
        About text displayed in the Business Info within WhatsApp.
  - Hyperlinks can be included but will not render as clickable links.
  - Markdown is not supported.
      - `photoUrl` (string)
        URL to the sender image displayed in WhatsApp.
- Supported mime types: image/jpeg, image/png or image/webp.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.
      - `username` (string)
        WhatsApp Business username of the sender.
    - WhatsappSenderChangesDetailsDto:
      - `displayName` (string)
        Sender display name within WhatsApp.
      - `description` (string)
        Description of the sender displayed in the Business Info within WhatsApp.
      - `vertical` (string)
        Category of the sender displayed in the Business Info within WhatsApp.
        Enum: same as `vertical` in "WhatsappSenderDetailsDto" (23 values)
      - `email` (string)
        Contact email displayed in the Business Info within WhatsApp.
      - `address` (string)
        Business address displayed in the Business Info within WhatsApp.
      - `websiteOne` (string)
        Business website displayed in the Business Info within WhatsApp.
      - `websiteTwo` (string)
        Second business website displayed in the Business Info within WhatsApp.
      - `about` (string)
        About text displayed in the Business Info within WhatsApp.
  - Hyperlinks can be included but will not render as clickable links.
  - Markdown is not supported.
      - `photoUrl` (string)
        URL to the sender image displayed in WhatsApp.
- Supported mime types: image/jpeg, image/png or image/webp.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.
      - `username` (string)
        WhatsApp Business username of the sender.

  - `changes.errorReason` (string)
    Error reason if sender is in state ERROR.

  - `changes.errorCode` (string)
    Error code if sender is in state ERROR.
    Enum: "CANNOT_ASSIGN_CREDIT_LINE", "CANNOT_ASSIGN_SYSTEM_USER", "CANNOT_CREATE_NEW_WHATSAPP_SENDER", "CANNOT_CREATE_WABA_FOR_BUSINESS", "CANNOT_GET_DETAILS_FOR_CLOUD_API", "CANNOT_GET_WABA_DETAILS", "CANNOT_REGISTER_NEW_WHATSAPP_SENDER", "CANNOT_REGISTER_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_CLOUD_API", "CANNOT_SUBSCRIBE_TO_WEBHOOK", "DUPLICATES_ON_SENDER_PHONE_NUMBER", "FAILED_TO_FETCH_APPROVED_MESSAGE_TEMPLATES", "MULTIPLE_WABA_FOR_PROJECT_ID", "NO_CERTIFICATE_AVAILABLE", "NO_NOVA_ACCOUNT_ID", "NO_PRICING_PLAN", "NO_PROJECT_ID", "NO_VERIFIED_PHONE_NUMBER", "NOT_VERIFIED_REQUESTED_PHONE_NUMBER", "NOT_VERIFY_BUSINESS_VIA_WHATSAPP", "NOVA_ACCOUNT_ID_CONFLICT", "PROJECT_ID_CONFLICT", "SENDER_HAS_BEEN_DELETED", "WABA_CONNECTED_TO_ANOTHER_PROJECT", "UNKNOWN_ERROR", "UNRECOGNIZED"

  - `details` (object)
    Sender details and information.

  - `details.displayName` (string, required)
    Sender display name within WhatsApp.

  - `details.vertical` (string, required)
    Category of the sender displayed in the Business Info within WhatsApp.
    Enum: same as `vertical` in "WhatsappSenderDetailsDto" (23 values)

  - `details.description` (string)
    Description of the sender displayed in the Business Info within WhatsApp.

  - `details.email` (string)
    Contact email displayed in the Business Info within WhatsApp.

  - `details.address` (string)
    Business address displayed in the Business Info within WhatsApp.

  - `details.websiteOne` (string)
    Business website displayed in the Business Info within WhatsApp.

  - `details.websiteTwo` (string)
    Second business website displayed in the Business Info within WhatsApp.

  - `details.about` (string)
    About text displayed in the Business Info within WhatsApp.
  - Hyperlinks can be included but will not render as clickable links.
  - Markdown is not supported.

  - `details.photoUrl` (string)
    URL to the sender image displayed in WhatsApp.
- Supported mime types: image/jpeg, image/png or image/webp.
- Maximum file size: 5MB.
- Minimum image dimensions: 192 x 192 px.
- Maximum image dimensions: 640 x 640 px.
- Image will be cropped to maximum image dimensions.
- If you submit a PNG image with a transparent background, the background will be rendered as black.

  - `details.username` (string)
    WhatsApp Business username of the sender.

  - `metadata` (object)
    Data about the current state of individual sender fields.

  - `metadata.username` (object)
    Approval status of the sender username.

  - `metadata.username.status` (string, required)
    Current approval status of the field.
    Enum: "APPROVED", "DEFERRED", "DELETED", "EXPIRED", "PENDING", "REJECTED", "RESERVED", "UNRECOGNIZED", "UNSPECIFIED"

  - `metadata.username.value` (string)
    Requested value of the field.

  - `metadata.username.rejectionReason` (string)
    Reason for rejection if the field update was rejected.

  - `conversationApiAppDetails` (object)
    If set, the details of the Conversation API App the sender is connected to.

  - `conversationApiAppDetails.id` (string, required)
    ID of the app

  - `conversationApiAppDetails.projectId` (string, required)
    ID of the app project

  - `conversationApiAppDetails.region` (string, required)
    App region.
    Enum: same as `region` (4 values)

  - `conversationApiAppDetails.channelStatus` (string)
    Status of the channel credentials integration.
    Enum: "ACTIVE", "FAILING", "PENDING", "UNRECOGNIZED"

  - `maxTps` (number)
    Maximum sender TPS.

  - `qualityRating` (string)
    Current quality rating of the sender.
    Enum: "GREEN", "RED", "YELLOW", "UNKNOWN", "UNRECOGNIZED"

  - `bearerToken` (string)
    Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

  - `created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

  - `countryCode` (string)
    Country code of sender phone number.

  - `phoneNumber` (string)
    Sender phone number without country code.

  - `numberProvider` (string)
    Provider for phone number.
    Enum: "CUSTOMER", "SINCH", "UNRECOGNIZED"

  - `cloudApi` (boolean, required)
    True if the sender is hosted in WhatsApp Cloud API.

  - `conversationApiApp` (string)
    If set, the Conversation API App ID the sender is connected to.

  - `dailyLimit` (string)
    This property is deprecated. Use AccountDto.businessDailyLimit instead. Current daily message limit of the sender.
    Enum: "NOT_SET", "TIER_100K", "TIER_10K", "TIER_1K", "TIER_250", "TIER_2K", "TIER_50", "TIER_UNLIMITED", "UNRECOGNIZED"

  - `wabaBanState` (string)
    Please use get account endpoint for this information.
    Enum: "DISABLE", "REINSTATE", "SCHEDULE_FOR_DISABLE", "UNRECOGNIZED"

  - `wabaBanDate` (string)
    Please use get account endpoint for this information.

## Response 400 fields (application/json):

  - `body` (InvalidInputErrorTitle (object) or ProjectNotInitializedErrorTitle (object) or InvalidFacebookTokenErrorTitle (object) or InvalidBusinessManagerErrorTitle (object) or InvalidBusinessManagerForEnvironmentErrorTitle (object) or FileInvalidMimeTypeErrorTitle (object) or InvalidPayloadErrorTitle (object)) — one of:
    - InvalidInputErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_input"
      - `message` (string)
        Human readable message.
        Example: "Invalid input."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Correct the validation errors and submit again."
      - `additionalInformation` (object)
        Additional information for error.
        Example: {"validationErrors":["details should not be null or undefined"]}
    - ProjectNotInitializedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "project_not_initialized"
      - `message` (string)
        Human readable message.
        Example: "Project not initialized for WhatsApp."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the project ID is correct and that it has been onboarded for WhatsApp."
    - InvalidFacebookTokenErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_facebook_token"
      - `message` (string)
        Human readable message.
        Example: "Facebook token is invalid or has expired"
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Check that token is correct, or create a new one and try again."
    - InvalidBusinessManagerErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_business_manager"
      - `message` (string)
        Human readable message.
        Example: "Invalid business manager."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Check that business manager is correct for project."
    - InvalidBusinessManagerForEnvironmentErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_business_manager_for_environment"
      - `message` (string)
        Human readable message.
        Example: "Invalid business manager for environment."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that business manager is valid for environment. Allowed business managers for environment SINCH_AMERICA, SINCH_UK."
    - FileInvalidMimeTypeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_invalid_mime_type"
      - `message` (string)
        Human readable message.
        Example: "details.photoUrl: invalid file mime type."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Try again with supported mime types: image/jpeg, image/png, image/webp."
    - InvalidPayloadErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_payload"
      - `message` (string)
        Human readable message.
        Example: "Invalid payload."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Correct payload and submit again."

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "project_not_found"

  - `message` (string)
    Human readable message.
    Example: "Project not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the projectId is correct."

## Response 409 fields (application/json):

  - `body` (AccountDataIsCorruptErrorTitle (object) or WrongWabaIdErrorTitle (object) or NotFoundWabaIdErrorTitle (object) or TooManyWabaIdErrorTitle (object) or WabaIdUsedErrorTitle (object) or WrongBusinessManagerErrorTitle (object) or UsedPhoneNumberIdErrorTitle (object) or ProvisionedPhoneNumberIdErrorTitle (object) or AllPhoneNumberIdProvisionedErrorTitle (object) or InvalidWabaIdOrPhoneNumberIdForRegionErrorTitle (object) or FileNotFoundErrorTitle (object) or FileSizeTooLargeErrorTitle (object) or FileHasWrongDimensionsErrorTitle (object) or FileUnexpectedErrorErrorTitle (object)) — one of:
    - AccountDataIsCorruptErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "account_data_is_corrupt"
      - `message` (string)
        Human readable message.
        Example: "Account data is corrupt."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please contact support."
    - WrongWabaIdErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "wrong_waba_id"
      - `message` (string)
        Human readable message.
        Example: "Different wabaId already exists for sub account / project."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please check if the WhatsApp Business Account is correct, or don't provide the WhatsApp Business Account in the request for this project."
    - NotFoundWabaIdErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "not_found_waba_id"
      - `message` (string)
        Human readable message.
        Example: "Not found wabaId."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that exist any WhatsApp Business Account for sub account / project."
    - TooManyWabaIdErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "too_many_waba_id"
      - `message` (string)
        Human readable message.
        Example: "Too many wabaId."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "We can't automatically select WhatsApp Business Account for this project, please provide WhatsApp Business Account in the request."
    - WabaIdUsedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "waba_id_used"
      - `message` (string)
        Human readable message.
        Example: "WabaId is used."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "WhatsApp Business Account is already used in another project. Use another id or create the sender under the correct project."
    - WrongBusinessManagerErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "wrong_business_manager"
      - `message` (string)
        Human readable message.
        Example: "Different business manager already exists for sub account / project."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please check if the Business Manager is correct, or don't provide the Business Manager in the request for this project."
    - UsedPhoneNumberIdErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "used_phone_number_id"
      - `message` (string)
        Human readable message.
        Example: "Used phoneNumberId."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "PhoneNumberId is used. Choose another one."
    - ProvisionedPhoneNumberIdErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "provisioned_phone_number_id"
      - `message` (string)
        Human readable message.
        Example: "Provisioned phoneNumberId."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "PhoneNumberId is provisioned. Choose another one."
    - AllPhoneNumberIdProvisionedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "all_phone_number_id_provisioned"
      - `message` (string)
        Human readable message.
        Example: "All phoneNumberId are provisioned."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "All phoneNumberId are provisioned. Add another one."
    - InvalidWabaIdOrPhoneNumberIdForRegionErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_waba_id_or_phone_number_id_for_region"
      - `message` (string)
        Human readable message.
        Example: "Invalid wabaId or phoneNumberId for region."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please check if the WhatsApp Business Account, phone number id and region are correct."
    - FileNotFoundErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_not_found"
      - `message` (string)
        Human readable message.
        Example: "details.photoUrl: file not found."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the url is correct."
    - FileSizeTooLargeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_size_too_large"
      - `message` (string)
        Human readable message.
        Example: "details.photoUrl: file size is too large."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Try again with a smaller file. Max size for `image/jpeg` is 5MB."
    - FileHasWrongDimensionsErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_has_wrong_dimensions"
      - `message` (string)
        Human readable message.
        Example: "details.photoUrl: image has wrong dimensions."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Try again with image dimensions: min 192 x 192 px & max 640 x 640 px."
    - FileUnexpectedErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "file_unexpected_error"
      - `message` (string)
        Human readable message.
        Example: "details.photoUrl: file unexpected error."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "The file cannot be handled properly. Please try with another one."

## Response 500 fields (application/json):

  - `body` (FacebookRequestLimitReachedErrorTitle (object) or LogInFacebookRequiredErrorTitle (object) or InternalErrorErrorTitle (object)) — one of:
    - FacebookRequestLimitReachedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "facebook_Request_limit_reached"
      - `message` (string)
        Human readable message.
        Example: "Facebook request limit reached."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please try again later."
    - LogInFacebookRequiredErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "log_in_facebook_required"
      - `message` (string)
        Human readable message.
        Example: "Log in to facebook required."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Log in to www.facebook.com and follow the instructions given."
    - InternalErrorErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "internal_error"
      - `message` (string)
        Human readable message.
        Example: "Internal server error."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please wait and try again, if the error persist please contact support."


